Admiral

Components

List a component's versions

GET
/v1/components/{component_id}/versions

Scope: component:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

component_id*component_id

The component_id path parameter.

Match^cmp-[0-9a-z]+$

Query Parameters

filter?filter

Filter expression. Filterable fields:

  • kind: COMPONENT_KIND_TERRAFORM, COMPONENT_KIND_HELM, COMPONENT_KIND_MANIFESTS.
  • status: STATUS_PUBLISHED, STATUS_DEPRECATED, STATUS_REVOKED.

Example: field['status'] = 'STATUS_PUBLISHED'

Lengthlength <= 1024
page_size?page_size

The page_size query parameter.

Formatint32
Range0 <= value <= 100
page_token?page_token

The page_token query parameter.

Response Body

application/json

curl -X GET "https://example.com/v1/components/string/versions"
{  "versions": [    {      "id": "string",      "component_id": "string",      "digest": "string",      "kind": "COMPONENT_KIND_UNSPECIFIED",      "size_bytes": "string",      "contract": {        "inputs": [          {            "name": "string",            "type": "string",            "description": "string",            "required": true,            "default": null,            "sensitive": true,            "ephemeral": true,            "nullable": true,            "deprecated": "string",            "validations": [              {                "condition": "string",                "error_message": "string"              }            ],            "schema": {              "property1": null,              "property2": null            }          }        ],        "outputs": [          {            "name": "string",            "description": "string",            "sensitive": true          }        ]      },      "provenance": {        "kind": "KIND_UNSPECIFIED",        "uri": "string",        "ref": "string",        "commit": "string",        "path": "string",        "dependencies": [          {            "source": "string",            "constraint": "string",            "resolved": "string"          }        ],        "credentials": [          {            "id": "string",            "name": "string",            "hosts": [              "string"            ]          }        ],        "commit_message": "string",        "commit_author": "string"      },      "findings": [        {          "severity": "FINDING_SEVERITY_UNSPECIFIED",          "source": "string",          "code": "string",          "message": "string",          "path": "string"        }      ],      "status": "STATUS_UNSPECIFIED",      "status_changed_at": "2023-01-15T01:30:15.01Z",      "status_reason": "string",      "tags": [        "string"      ],      "created_by": {        "id": "string",        "display_name": "string",        "email": "string"      },      "created_at": "2023-01-15T01:30:15.01Z",      "providers": [        "string"      ],      "baseline_values_json": "string"    }  ],  "next_page_token": "string"}